/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workexampleimplog.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workexampleimplog.entity.WorkExampleImplog;
import com.jeeplus.modules.workexampleimplog.dao.WorkExampleImplogDao;

/**
 * 案例导入日志Service
 * @author ssrh
 * @version 2018-09-03
 */
@Service
@Transactional(readOnly = true)
public class WorkExampleImplogService extends CrudService<WorkExampleImplogDao, WorkExampleImplog> {

	public WorkExampleImplog get(String id) {
		return super.get(id);
	}
	
	public List<WorkExampleImplog> findList(WorkExampleImplog workExampleImplog) {
		return super.findList(workExampleImplog);
	}
	
	public Page<WorkExampleImplog> findPage(Page<WorkExampleImplog> page, WorkExampleImplog workExampleImplog) {
		return super.findPage(page, workExampleImplog);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkExampleImplog workExampleImplog) {
		super.save(workExampleImplog);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkExampleImplog workExampleImplog) {
		super.delete(workExampleImplog);
	}
	
	
	
	
}